Bulk action on monitors
curl --request POST \
--url https://api.devhelm.io/api/v1/monitors/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"monitorIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"newTags": [
{
"name": "<string>",
"color": "<string>"
}
]
}
'import requests
url = "https://api.devhelm.io/api/v1/monitors/bulk"
payload = {
"monitorIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"newTags": [
{
"name": "<string>",
"color": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
monitorIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
newTags: [{name: '<string>', color: '<string>'}]
})
};
fetch('https://api.devhelm.io/api/v1/monitors/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"succeeded": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"failed": [
{
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>"
}
]
}
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Monitors
Bulk action on monitors
Applies PAUSE, RESUME, DELETE, ADD_TAG, or REMOVE_TAG to a list of monitors. Returns a partial-success response indicating which monitors succeeded and which failed.
POST
/
api
/
v1
/
monitors
/
bulk
Bulk action on monitors
Authorizations
API key (dh_live_...) or Auth0 JWT token
Body
application/json
Request body for performing a bulk action on multiple monitors
IDs of monitors to act on (max 200)
Maximum array length:
200IDs of monitors to act on (max 200)
Action to apply to every monitor in the bulk request
Available options:
PAUSE, RESUME, DELETE, ADD_TAG, REMOVE_TAG Tag IDs to attach or detach (required for ADD_TAG and REMOVE_TAG)
Tag IDs to attach or detach (required for ADD_TAG and REMOVE_TAG)
New tags to create and attach (only for ADD_TAG)
Show child attributes
Show child attributes
Response
OK
Result of a bulk monitor action, including partial-success details
Show child attributes
Show child attributes
⌘I